Minimum Requirements to Run PlanSwift


The minimum requirements allow PlanSwift programs to run; however, application performance is improved if you meet or exceed the recommendations below. 


System Software Requirements


Desktop Computer

Windows® Operating System

Windows® XP SP2 (SP3 recommended)

Windows Vista® SP1

Windows 7

Windows 8, 8.1

Windows 10

Processor

Intel or AMD Dual Core or better 32 Bit / 2.6GHz
Intel or AMD Dual Core or better 64 Bit / 1.8GHz

Memory

4GB

Monitor/Resolution

Super VGA (1024x768)min
Graphics512MB dedicated graphics  card

Free Hard Drive Space

10GB

Internet Connection

An unrestricted connection is required for Activating the product, receiving updates, viewing the help files, forum, etc.

Web Browser

Internet Explorer 6

Additional Software

In order to use the Excel functions in PlanSwift 9, you must have Microsoft® Excel® 2003, 2007, 2010 (32-bit editions only)
In order to use the Excel functions in PlanSwift 10.2, you must have a Microsoft® Excel® version capable of handling .xlsx filename extensions.
Microsoft® Outlook® 2003, 2007, 2010 (32 bit editions only)
For additional information regarding Office 2010 64bit click here

 

Recommendations for Improved Performance


Desktop Computer 

Processor

Intel i-5, i7, 2.33GHz , 6MB L2 cache 1333MHz front side bus or equivalent

Memory

8GB or more DDR3

Graphics Memory

1GB or more

Monitor/Resolution

1280 x 1024 or more and support for multiple monitors

Free Hard Drive Space

150GB 7200rpm SATA (or larger network storage)

Connectivity

High Speed Internet Connection for downloading plan files, sending/receiving project information via 'Email Job', downloading program updates and viewing the help files, forum, etc.

Web Browser

Internet Explorer 7

 

 

The Minimum requirements will allow the applications to run; however, there could be insufficient resources to use all available features resulting in slow performance.


All current PlanSwift versions are compatible with both 32-bit and 64-bit Windows® Operating Systems.

PlanSwift had known issues with being installed to a Server or RD and may not be supported for issues related to this installation.